脚本使用需要先安装 nodejs 环境

需要使用最新版本: v20.12.2

下载地址： https://nodejs.org/en/download

安装教程可以参考： https://www.liaoxuefeng.com/wiki/1022910821149312/1023025597810528

确保 node 和 npm 正常运行后，从命令提示符进入到当前所在的目录：

运行如下命令，安装脚本依赖：

```
npm i
```

然后打开 index.js 文件，按需要填写`run_spider`的参数，如下形式：

```
// 第一个数据: code: 词典代码
// 第二个参数: delay_ms: 访问间隔，单位毫秒
// 第三个参数: only_index: true 只抓取索引, false 抓取索引和词条
run_spider('hydcdcx', 2000, true).catch(err => { console.log(err) });
```

提示 1：抓取过程中有可能需要填写需要计算的验证码，按如下形式填写:

```
请输入计算的结果：5+3-9=-1
```

提示 2: 填写的计算公式会保存在 captcha 目录里。

提示 3: 注册账号会自动验证，但邮箱有延迟，如果 15 秒内无法收到注册链接，会重新注册新的账号，这个行为有可能重复多次才能成功，不是代码的问题。

也可以直接指定 cookie 抓取:

```
// 第四个参数: cookie: 指定 cookie 抓取
run_spider('hydcdcx', 2000, true, 'JSESSIONID=0E84D6684B1A5656BD2E8EF9E67408B1').catch(err => { console.log(err) });
```

确定参数填写正确后，直接运行：

```
node index.js
```
